> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get example dispatch event

> Get an example dispatch event.

Returns a pre-filled DispatchEvent object that can be used as a reference for the expected format and structure of dispatch events.



## OpenAPI

````yaml GET /examples/dispatch-event
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /examples/dispatch-event:
    get:
      tags:
        - 8. Examples
      summary: Get Example Dispatch Event
      description: >-
        Get an example dispatch event.


        Returns a pre-filled DispatchEvent object that can be used as a
        reference for the expected format and structure of dispatch events.
      operationId: get_example_dispatch_event_examples_dispatch_event_get
      responses:
        '200':
          description: Example dispatch event
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DispatchEvent'
        '500':
          description: Server error while generating example
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DispatchEvent:
      properties:
        asset_id:
          type: string
          format: uuid
          title: Asset Id
          description: Asset or aggregate to which this event pertains
        event_id:
          type: string
          format: uuid
          title: Event Id
          description: UID of this event
        issued_timestamp:
          type: string
          format: date-time
          title: Issued Timestamp
          description: When the event was published (UTC)
        event_timestamp:
          type: string
          format: date-time
          title: Event Timestamp
          description: When the event occurred, if different from publication (UTC)
        market_id:
          type: string
          title: Market Id
          description: Market from which this dispatch originates
        level_kw:
          type: number
          title: Level Kw
          description: Desired power output of asset
        from_time:
          type: string
          format: date-time
          title: From Time
          description: Start time of event (UTC)
        to_time:
          type: string
          format: date-time
          title: To Time
          description: End time of event (UTC)
        update_status_callback:
          anyOf:
            - type: string
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
          title: Update Status Callback
          description: >-
            Callback to change status of event to RECEIVED, ACCEPTED, REJECTED,
            FAILED, or EXECUTED
      type: object
      required:
        - asset_id
        - event_id
        - issued_timestamp
        - event_timestamp
        - market_id
        - level_kw
        - from_time
        - to_time
        - update_status_callback
      title: DispatchEvent
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````